package com.luticate.utils.dbo;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.HashMap;

/**
 * Created by robin on 11/27/15.
 */
public class LuStringDbo extends LuDbo {
    public String getString() {
        return _value;
    }

    public void setString(String value) {
        _value = value;
    }

    private String _value;

    @Override
    public void fromJson(JSONObject json) throws JSONException {
        if (json.isNull("value")) {
            _value = null;
        }
        else {
            _value = json.getString("value");
        }
    }

    @Override
    public HashMap<String, Object> toArray() {
        HashMap<String, Object> array = new HashMap<>();
        array.put("value", _value);
        return array;
    }
}
